EndpointsTournaments

List league tournaments

GET/v2/leagues/{league_id}/tournaments

Return a cursor-paginated list of tournaments for one visible league, newest first.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

league_id*League Id

League whose tournaments should be returned.

Match^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

limit?Limit

Maximum tournaments to return.

Range1 <= value <= 200
Default50
cursor?|

Opaque cursor returned by the previous page.

curl -X GET "https://softmax.com/api/observatory/v2/leagues/string/tournaments"
{  "entries": [    {      "tournament_id": "string",      "league_id": "string",      "name": "string",      "status": "draft",      "created_at": "2019-08-24T14:15:22Z",      "locked_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "error": "string"    }  ],  "next_cursor": "string"}